"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _babelCore = require("babel-core");

var _buildFlow = require("enb/lib/build-flow");

exports.default = (0, _buildFlow.create)().name("bemify-es2015").target("target", "?.js").defineOption("babelOptions", false).useFileList(["node.js", "vanila.js", "browser.js"]).builder(function (files) {
    var _this = this;

    return files.map(function (file) {
        var opts = {
            babelrc: false,
            plugins: ["babel-plugin-bemify-es6"]
        };

        Object.assign(opts, _this._babelOptions);
        return (0, _babelCore.transformFileSync)(file.fullname, opts).code;
    }).join("\n\n");
}).createTech();
module.exports = exports["default"];