# enb-bemify-js
[![Build Status][travis-image]][travis-url]
An ENB tech which transpiles javascript files with ES6 and higher syntax to the ES5 syntax javascript using babel

## Description
This tech transpiles javascript files with ES6 and higher syntax using babel to the ES5 files. The tech uses [Babel](http://babeljs.io) as an engine to transpiling javascript. 

## Usage
If you want to use this tech, you should to perform **3 steps**:
**Firstly** you should to install the tech run the command
```
    npm install --save-dev enb-bemify-es2015
```
**Then** you should to add this tech to the *.enb/enb-make.js*:
```javascript
//.enb/enb-make.js
    nodeConfig.addTechs(require('enb-bemify-es2015'), {
        target: '?.js',
        suffixes: ['browser.js','vanilla.js','node.js'],
    })
```

And **finally** you should configure your *.babelrc* file.

## License
MIT, see [LICENSE](/LICENSE) for details.

[travis-url]: https://travis-ci.org/b-tools/enb-bemify-es2015
[travis-image]: https://travis-ci.org/b-tools/enb-bemify-es2015.svg?branch=master